import type { _MTRSoftwareDiagnosticsClusterThreadMetricsStruct } from "./MTRSoftwareDiagnosticsClusterThreadMetricsStruct.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MTRSoftwareDiagnosticsClusterThreadMetrics extends _MTRSoftwareDiagnosticsClusterThreadMetricsStruct {
    static alloc(): _MTRSoftwareDiagnosticsClusterThreadMetrics;
    static new(): _MTRSoftwareDiagnosticsClusterThreadMetrics;
    init(): _MTRSoftwareDiagnosticsClusterThreadMetrics;
    id(): _NSNumber;
    setId$(value: _NSNumber): void;
    name(): _NSString | null;
    setName$(value: _NSString | null): void;
    stackFreeCurrent(): _NSNumber | null;
    setStackFreeCurrent$(value: _NSNumber | null): void;
    stackFreeMinimum(): _NSNumber | null;
    setStackFreeMinimum$(value: _NSNumber | null): void;
    stackSize(): _NSNumber | null;
    setStackSize$(value: _NSNumber | null): void;
}
